<%@ include file="/taglibs.jsp"%>

<f:view>
<f:loadBundle var="messages" basename="messages"/>

<title><fmt:message key="userList.title"/></title>

<h:form id="editUser">
<h:commandButton value="Add User" action="add" immediate="true" styleClass="button"/>

<h:dataTable value="#{userList.users}" var="user" styleClass="list" 
    rowClasses="odd,even" id="userList">
    <h:column>
        <f:facet name="header"><h:outputText value="#{messages['user.id']}"/></f:facet>
        <h:commandLink action="#{userForm.edit}" value="#{user.id}">
            <f:param name="id" value="#{user.id}"/>
        </h:commandLink>
    </h:column>
    <h:column>
        <f:facet name="header"><h:outputText value="#{messages['user.firstName']}"/></f:facet>
        <h:outputText value="#{user.firstName}"/>
    </h:column>
    <h:column>
        <f:facet name="header"><h:outputText value="#{messages['user.lastName']}"/></f:facet>
        <h:outputText value="#{user.lastName}"/>
    </h:column>
    <h:column>
        <f:facet name="header"><h:outputText value="#{messages['user.birthday']}"/></f:facet>
        <h:outputText value="#{user.birthday}">
            <f:convertDateTime pattern="#{messages['date.format']}"/>
        </h:outputText>
    </h:column>
</h:dataTable>

</h:form>
</f:view> 
